> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create stack profile



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /org/stack-profiles
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/stack-profiles:
    post:
      tags:
        - Stack Profiles
      summary: Create stack profile
      operationId: create_stack_profile_endpoint_org_stack_profiles_post
      parameters:
        - in: header
          name: X-Ankra-CSRF
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateStackProfileRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateStackProfileResult'
          description: Stack profile created
        '400':
          description: Invalid source stack
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Source cluster or stack not found
        '409':
          description: Profile name conflict
        '413':
          description: Request body too large
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
        '500':
          description: Internal server error
      security:
        - SessionCookie: []
components:
  schemas:
    CreateStackProfileRequest:
      properties:
        name:
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
        category:
          default: general
          type: string
        tags:
          default: []
          items:
            type: string
          type: array
        visibility:
          anyOf:
            - enum:
                - organisation
                - public
              type: string
            - type: 'null'
        share_organisation_slugs:
          default: []
          items:
            maxLength: 75
            type: string
          maxItems: 50
          type: array
        source_cluster_id:
          format: uuid
          type: string
        stack_name:
          type: string
        include_addon_configurations:
          default: true
          type: boolean
        changelog:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - name
        - source_cluster_id
        - stack_name
      title: CreateStackProfileRequest
      type: object
    CreateStackProfileResult:
      properties:
        profile:
          $ref: '#/components/schemas/StackProfileSummary'
        version:
          additionalProperties: true
          type: object
        warnings:
          items:
            type: string
          type: array
      required:
        - profile
        - version
        - warnings
      title: CreateStackProfileResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    StackProfileSummary:
      properties:
        id:
          format: uuid
          type: string
        organisation_id:
          format: uuid
          type: string
        name:
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
        category:
          type: string
        tags:
          items:
            type: string
          type: array
        visibility:
          enum:
            - organisation
            - public
          type: string
        latest_version:
          type: integer
        current_version:
          type: integer
        source_cluster_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        publisher_name:
          anyOf:
            - type: string
            - type: 'null'
        publisher_slug:
          anyOf:
            - type: string
            - type: 'null'
        publisher_verified:
          type: boolean
        publisher_is_ankra:
          type: boolean
        publisher_has_logo:
          type: boolean
        publisher_logo_updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
        shared_organisation_count:
          type: integer
        shared_with_you:
          type: boolean
        is_owner:
          type: boolean
      required:
        - id
        - organisation_id
        - name
        - description
        - category
        - tags
        - visibility
        - latest_version
        - current_version
        - source_cluster_id
        - created_by_user_id
        - created_at
        - updated_at
        - publisher_name
        - publisher_slug
        - publisher_verified
        - publisher_is_ankra
        - publisher_has_logo
        - publisher_logo_updated_at
        - shared_organisation_count
        - shared_with_you
        - is_owner
      title: StackProfileSummary
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    SessionCookie:
      description: Browser session. Mutations also require X-Ankra-CSRF.
      in: cookie
      name: ankra_session
      type: apiKey

````